> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/cookbook/stacks.js/cryptography-and-security/build-an-ft-pc.md).

# Build an ft pc

{% code fullWidth="false" expandable="true" %}

```typescript
import { Pc, PostConditionMode } from '@stacks/transactions';

// Create a post-condition for fungible token transfers
const postCondition = Pc.principal("ST1PQHQKV0RJXZFY1DGX8MNSNYVE3VGZJSRTPGZGM")
  .willSendGte(500) // Amount in token's smallest unit
  .ft("ST1HTBVD3JG9C05J7HBJTHGR0GGW7KXW28M5JS8QE.token-ft", "my-token");

// Use in transaction options
const txOptions = {
  // ... other transaction options
  postConditions: [postCondition],
  postConditionMode: PostConditionMode.Deny,
};
```

{% endcode %}

### Description

Create post-conditions for fungible token transfers to ensure exact amounts are transferred as expected

### Use Cases

* Securing fungible token transfers with amount validation
* Protecting users from unexpected token transfers in DeFi protocols
* Ensuring token swaps happen with expected amounts

### Key Concepts

* `.ft()` - Takes two parameters: contract address with asset name and token name as defined in the contract
* The `Pc` builder for fungible tokens provides a fluent interface for creating post-conditions


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/cookbook/stacks.js/cryptography-and-security/build-an-ft-pc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
